#!/usr/bin/perl


#Скрипт для рекурсивного кудаления ненужных файлов которые случайно остались/попали в проект


use strict;
use warnings;
use utf8;
use Scalar::Util qw( looks_like_number );
use Encode qw(decode encode);
use Cwd 'abs_path';
use File::Basename;
use Term::ANSIColor;

binmode(STDOUT,':utf8');
binmode(STDIN,':utf8');


my @s_files = `find . -type f`;
chomp( @s_files );

for( my $i = 0; $i < @s_files; $i++ )
{
	#.xcf
	if( index( $s_files[ $i ], ".xcf" ) != -1 ) { print $s_files[ $i ] . "\n"; system( "rm " . $s_files[ $i ] ); }
	#.blend
	if( index( $s_files[ $i ], ".blend" ) != -1 ) { print $s_files[ $i ] . "\n"; system( "rm " . $s_files[ $i ] ); }
}
